Subject: Re: Accessing serial port.
From: "Suhaib M. Siddiqi" <[email-masked]>
To: [email-masked]
Date: Thu, 05 Aug 1999 15:32:30 -0400

Chris Faylor wrote:
> 
> On Thu, Aug 05, 1999 at 01:18:26PM -0400, Suhaib M. Siddiqi wrote:
> >
> >
> >>
> >>
> >> I am porting my C codes from DJGPP to Cygwin. One of the modules has
> >> several lines which read and write to COM1. I rewrite the code using
> >> open ("/dev/com1"), read (....), write (....), etc. However, the code
> >> seems to hang. The exact same code works fine under Linux by replacing
> >> "/dev/com1" to "/dev/ttyS0".
> >>
> >
> >This requires accessing the hardware through a proper device driver on
> >Windows.  It is not that easy to change /dev/xxx to someting.  Check
> >http://www.microsoft.com/hwdrv/ddk for info about devices.  If it would
> >have been so easy I would have finished Xfree86 port a long time ago
> >;-)
> 
> Um.  No.  I don't know why you think that this requires a device driver.
> You should be able to access /dev/com1 using normal open/close/read/write
> semantics.
> 
> However, there were serial problems in B20.1 that should be fixed in
> current snapshots: http://sourceware.cygnus.com/cygwin/snapshots/
> 
> cgf

I think for serial only might be possible.  
In my case, I need more then /dev/com1.  
I did try /dev/com1 on Windows NT  and it was
crashing, at least my code, with 
privilaged_access_violation.

Suhaib

--
Want to unsubscribe from this list?
Send a message to [email-masked]